const main = () => {
  let container = document.querySelector(".container");
  let box = document.querySelector(".box");

  let start = null;
  box.addEventListener("pointerdown", e => {
    start = [e.clientX, e.clientY];
    box.setPointerCapture(e.pointerId);
  });
  box.addEventListener("pointermove", e => {
    if (!start) return;
    let [x, y] = [e.clientX, e.clientY];
    let [dx, dy] = [x - start[0], y - start[1]];
    box.style.transform = `translate(${dx}px, ${dy}px)`;
  });
  box.addEventListener("pointerup", e => {
    let [x, y] = [e.clientX, e.clientY];
    if (x < start[0] - 100) {
      console.log("swipe left");
    } else if (x > start[0] + 100) {
      console.log("swipe right");
    }
    start = null;
    box.style.transform = "";
    box.releasePointerCapture(e.pointerId);
  });
};
main();
